// heartbeat.cpp

#include "afgcockpit.h"

#ifdef HEARTBEAT

int heartbeat_state = 0;
const int heartbeat_pulse = 500; // unit: milliseconds.
unsigned long heartbeat_timer = 0;


void setup_heartbeat() {

  heartbeat_timer = millis();
  pinMode(heartbeat_ledpin, OUTPUT);
  
}

void heartbeat() {
  if (heartbeat_timer < millis()) {
    heartbeat_timer = millis() + heartbeat_pulse;
    heartbeat_state++;
    if (heartbeat_state == 1) {
      digitalWrite(heartbeat_ledpin, HIGH);
            heartbeat_state = -1;
    }
    else {
      digitalWrite(heartbeat_ledpin, LOW);      
    }
  }
}



#endif
